package com.xinelu.common.utils;

import com.github.pagehelper.PageInfo;

import com.xinelu.common.constant.HttpStatus;
import com.xinelu.common.core.page.TableDataInfo;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Description 业务层分页工具类
 * @Author 纪寒
 * @Date 2022-08-08 11:03:27
 * @Version 1.0
 */
@Component
public class PageServiceUtil {

    /**
     * 设置请求分页数据
     */
    public void startPage() {
        PageUtils.startPage();
    }

    /**
     * 响应请求分页数据
     */
    @SuppressWarnings({"rawtypes", "unchecked"})
    public TableDataInfo getDataTable(List<?> list) {
        TableDataInfo rspData = new TableDataInfo();
        rspData.setCode(HttpStatus.SUCCESS);
        rspData.setMsg("查询成功");
        rspData.setRows(list);
        rspData.setTotal(new PageInfo(list).getTotal());
        return rspData;
    }
}
